Bug 1038465 - remote outbound socket binding server is not stopped when the resource is removed
Summary: remote outbound socket binding server is not stopped when the resource is rem...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR2
: EAP 6.3.0
Assignee: Jeff Mesnil
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-05 07:31 UTC by Petr Sakař
Modified: 2014-06-28 15:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, the remote outbound socket binding service was not stopped when the resource was removed. This meant it was not possible to add a remote-destination-outbound-socket-binding with the same name, as the :add operation would fail because there was already a service registered with that name. In this release, when a remote-destination-outbound-socket-binding resource is removed, the corresponding service is stopped. As a result it is possible to remove and add remote-destination-outbound-socket-binding without any failure.
Clone Of:
Environment:
Last Closed: 2014-06-28 15:39:06 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WFLY-2987 Major Resolved RemoteDestinationOutboundSocketBindingService is not stopped when the resource is removed 2017-03-21 07:15:35 UTC

Description Petr Sakař 2013-12-05 07:31:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install and start AS

2. add remote-destination-outbound-socket-binding
jboss-eap-6.2/bin/jboss-cli.sh -c "/socket-binding-group=standard-sockets/remote-destination-outbound-socket-binding=remote-connection-war-ejb-1:add(host=localhost, port=4447)"

result is {"outcome" => "success"}

3. remove remote-destination-outbound-socket-binding
jboss-eap-6.2/bin/jboss-cli.sh -c "/socket-binding-group=standard-sockets/remote-destination-outbound-socket-binding=remote-connection-war-ejb-1:remove"

result is {"outcome" => "success"}

4. add remote-destination-outbound-socket-binding
jboss-eap-6.2/bin/jboss-cli.sh -c "/socket-binding-group=standard-sockets/remote-destination-outbound-socket-binding=remote-connection-war-ejb-1:add(host=localhost, port=4447)"

result is
{
    "outcome" => "failed",
    "failure-description" => "JBAS014749: Operation handler failed: Service jboss.outbound-socket-binding.remote-connection-war-ejb-1 is already registered",
    "rolled-back" => true
}

Expected results:
{"outcome" => "success"}

Step 3 should either report reload required or should be fixed

Additional info:
Workaroud is to reload server after step 3
  jboss-eap-6.2/bin/jboss-cli.sh -c "reload"

Comment 4 Petr Kremensky 2014-03-07 11:55:59 UTC
Verified on EAP 6.3.0.DR2


Note You need to log in before you can comment on or make changes to this bug.